php8 update

Web-Art
57 Posts
Web-Art posted this 10 November 2021

php8 is available from November 26, 2020. Themler customers who regularly pay for subscriptions every year almost a year after php8 is released, we cannot ask for updates. That's why we pay for subscriptions because such updates are very important to us. We have long since given up hope on the development of Themler and the implementation of new options into the program ... you let such a good program die! So at least for our subscription, update it to new php versions on time. Themler users have dozens of websites and stores built on Themler. We ask for the approximate date of updating Themler to php8.

php8 is available from November 26, 2020. Themler customers who regularly pay for subscriptions every year almost a year after php8 is released, we cannot ask for updates. That's why we pay for subscriptions because such updates are very important to us. We have long since given up hope on the development of Themler and the implementation of new options into the program ... you let such a good program die! So at least for our subscription, update it to new php versions on time. Themler users have dozens of websites and stores built on Themler. We ask for the approximate date of updating Themler to php8.
Vote to pay developers attention to this features or issue.
13 Comments
Order By: Standard | Newest
Vitaliy WD
463 Posts
Vitaliy WD posted this 10 November 2021

Agree. PHP 8 and Bootstrap 5 needed.

Themer stuck on very old tech... Bootstrap 3 released on August 19, 2013... The jQuery framework, originally created in 2006... Themler still use it.

Is it ok to tell clients in 2022 that their website will use framework with almost 10 year old tech?

Joomla 4 use Bootstrap 5 and PHP8... but we need to downgrade PHP and increase page load time to load old Bootstrap 3 with fresh Bootatrsp 5 in same time... all of this because of Themler.

Agree. PHP 8 and Bootstrap 5 needed. Themer stuck on very old tech... Bootstrap 3 released on August 19, 2013... The jQuery framework, originally created in 2006... Themler still use it. Is it ok to tell clients in 2022 that their website will use framework with almost 10 year old tech? Joomla 4 use Bootstrap 5 and PHP8... but we need to downgrade PHP and increase page load time to load old Bootstrap 3 with fresh Bootatrsp 5 in same time... all of this because of Themler.
Web-Art
57 Posts
Web-Art posted this 11 November 2021

Don't abandon us Themler users ... Please upgrade Themler to PHP 8 and Bootstrap 5. Don't do what Artisteer did.

Look at us! We buy subscriptions because we have a lot of sites and stores built on Themler. That's why we're prolonging the update to get something from you. And not two updates a year. Introduce new features, new option by wish list. There has been nothing new in Themler for several years. Development stopped ...

At this point, none of us is able to rebuild dozens of Themler-based websites into a different theme builder. It is physically and temporarily impossible. That's why we need PHP 8 and Bootstrap 5 to make our websites and stores work better and faster.

We trusted you and chose Themler to design on it.
Many times during inquiries you wrote that Themler will be further developed for new php, new versions of Wordpress, Joomla, Woocommerce etc ... and that you will not leave us. We know you have Nicepage and new customers ... but what about us. We also have purchased Nicepage and we work on both programs during the projects, complementing each other.

We are extending the license because we care about customers who have websites and stores with us.

Don't let us down.

Please be clear. Will Themler be upgraded to PHP 8 and Bootstrap 5? We need to know that. Please answer.

Don't abandon us Themler users ... Please upgrade Themler to PHP 8 and Bootstrap 5. Don't do what Artisteer did. Look at us! We buy subscriptions because we have a lot of sites and stores built on Themler. That's why we're prolonging the update to get something from you. And not two updates a year. Introduce new features, new option by wish list. There has been nothing new in Themler for several years. Development stopped ... At this point, none of us is able to rebuild dozens of Themler-based websites into a different theme builder. It is physically and temporarily impossible. That's why we need PHP 8 and Bootstrap 5 to make our websites and stores work better and faster. We trusted you and chose Themler to design on it. Many times during inquiries you wrote that Themler will be further developed for new php, new versions of Wordpress, Joomla, Woocommerce etc ... and that you will not leave us. We know you have Nicepage and new customers ... but what about us. We also have purchased Nicepage and we work on both programs during the projects, complementing each other. We are extending the license because we care about customers who have websites and stores with us. Don't let us down. Please be clear. Will Themler be upgraded to PHP 8 and Bootstrap 5? We need to know that. Please answer.
impresioneseltintero
21 Posts
impresioneseltintero posted this 12 November 2021

They are not interested in themler users or anything, they are betting on Nicepage, the money we pay goes to Nicepage, so they do nothing, in a post that they deleted they confirmed "we are posting everything to Nicepage" I recommend jump ship, I'm already working with other software, I'm removing themler, and very disappointed in how little the users were interested, use nicepage 1 years is the worst software to design templates and you cannot customize them, they all have Nicepage marks that redirect to your website, it seems like they intend to win over customers.

They are not interested in themler users or anything, they are betting on Nicepage, the money we pay goes to Nicepage, so they do nothing, in a post that they deleted they confirmed "we are posting everything to Nicepage" I recommend jump ship, I'm already working with other software, I'm removing themler, and very disappointed in how little the users were interested, use nicepage 1 years is the worst software to design templates and you cannot customize them, they all have Nicepage marks that redirect to your website, it seems like they intend to win over customers.
info2034
3 Posts
info2034 posted this 14 November 2021

It would be nice if someone from Themler team would just replay to this questions.

It would be nice if someone from Themler team would just replay to this questions.
Web-Art
57 Posts
Web-Art posted this 15 November 2021

Themler team. Please answer ...

Themler team. Please answer ...
Web-Art
57 Posts
Web-Art posted this 17 November 2021

Proszę o jasną odpowiedź. Kiedy zamierzacie zaktualizować Themler do php8 i bootstrap 5 dla obecnych motywów Wordpress i Joomla

Proszę o jasną odpowiedź. Kiedy zamierzacie zaktualizować Themler do php8 i bootstrap 5 dla obecnych motywów Wordpress i Joomla
Web-Art
57 Posts
Web-Art posted this 22 November 2021

Hello. I renew my query

When will there be an update to PHP8 and Bootstrap 5 for existing Wordpress and Joomla themes. We need this. We pay subscriptions every year to receive this type of update.

I am asking for a clear answer. When are you going to update Themler.

Hello. I renew my query When will there be an update to PHP8 and Bootstrap 5 for existing Wordpress and Joomla themes. We need this. We pay subscriptions every year to receive this type of update. I am asking for a clear answer. When are you going to update Themler.
Web-Art
57 Posts
Web-Art posted this 23 November 2021

Dear Themler Team.

Why doesn't anyone want to answer my question. Since we have the Themler forum, it is in order to ask questions that are important to us and expect answers, support, help, and key information for us.

Why do you disregard your customers in this way. If you're not going to roll out php8, just write bootstrap5 and don't underestimate us ... that's not okay. We need to know what are the intentions towards Themler because we are building on it.

We need to know if Themler will be further developed with a new function, adapted to the current standards of template construction.

It is very inappropriate to ignore our questions.

Once again, please answer our question.

Dear Themler Team. Why doesn't anyone want to answer my question. Since we have the Themler forum, it is in order to ask questions that are important to us and expect answers, support, help, and key information for us. Why do you disregard your customers in this way. If you're not going to roll out php8, just write bootstrap5 and don't underestimate us ... that's not okay. We need to know what are the intentions towards Themler because we are building on it. We need to know if Themler will be further developed with a new function, adapted to the current standards of template construction. It is very inappropriate to ignore our questions. Once again, please answer our question.
Support Team
Support Team posted this 06 December 2021

Hello,

Sorry for the delay. We understand your interest. Unfortunately, moving to Bootstrap 5 is not in our nearest plans. As for PHP 8 support for Joomla 3, we have forwarded the question to our developers and will update this topic when there is any information. Joomla 4 support that is currently in Beta, is for PHP 8 (that is the recommended version for Joomla 4). For Wordpress it should work with PHP 8 as well. If there are any issues with Wordpress, please create a new topic so that we could look closer.

Sincerely,
Nettie

Hello, Sorry for the delay. We understand your interest. Unfortunately, moving to Bootstrap 5 is not in our nearest plans. As for PHP 8 support for Joomla 3, we have forwarded the question to our developers and will update this topic when there is any information. Joomla 4 support that is currently in Beta, is for PHP 8 (that is the recommended version for Joomla 4). For Wordpress it should work with PHP 8 as well. If there are any issues with Wordpress, please create a new topic so that we could look closer. Sincerely, Nettie
peter.lind
2 Posts
peter.lind posted this 07 December 2021

Dear Themler Team,

I have the same problem. I have a Themler subscription since many years, have created many websites for clients with it and still maintain most of them. I was always very satisfied and hope very much that you will find a way to run Joomla 3.x also under PHP 8.

Many greetings

Peter

Dear Themler Team, I have the same problem. I have a Themler subscription since many years, have created many websites for clients with it and still maintain most of them. I was always very satisfied and hope very much that you will find a way to run Joomla 3.x also under PHP 8. Many greetings Peter
matrix630307
140 Posts
matrix630307 posted this 07 December 2021

that's me too. minimum support J3 and PHP 8. Then we can live the next months....

that's me too. minimum support J3 and PHP 8. Then we can live the next months....
bmericsson
16 Posts
bmericsson posted this 5 days ago

Some news, some updates about Themler working with PHP8?

Some news, some updates about Themler working with PHP8?
Web-Art
57 Posts
Web-Art posted this yesterday

When will I fix bugs for php8 on Themler Wordpress. How many times can I write to you?

When will I fix bugs for php8 on Themler Wordpress. How many times can I write to you?
You must log in or register to leave comments